Gecode::LDS< T > Class Template Reference
Functionality by programming task » Programming models » Search engines

Limited discrepancy search engine. More...

`#include <search.hh>`

## Public Member Functions

| LDS (T *s, const Search::Options &o=Search::Options::def)
| Initialize engine for space s and options o.
Public Member Functions inherited from Gecode::Search::Base< T >
virtual T * | next (void)
| Return next solution (NULL, if none exists or search has been stopped).
virtual Statistics | statistics (void) const
| Return statistics.
virtual bool | stopped (void) const
| Check whether engine has been stopped.
virtual | ~Base (void)
| Destructor.

## Static Public Attributes

static const bool | best = false
| Whether engine does best solution search.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Search::Base< T >
| Base (Engine *e=NULL)
| Constructor.
Protected Attributes inherited from Gecode::Search::Base< T >
Engine * | e
| The actual search engine.

## Detailed Description

template<class T>
class Gecode::LDS< T >

Limited discrepancy search engine.

Definition at line 1108 of file search.hh.

## Constructor & Destructor Documentation

## LDS()

template<class T>

Gecode::LDS< T >::LDS | ( | T * | s,
|  | const Search::Options & | o = Search::Options::def )

inline

Initialize engine for space s and options o.

Definition at line 69 of file lds.hpp.

## Member Data Documentation

## best

template<class T>

const bool Gecode::LDS< T >::best = false

static

Whether engine does best solution search.

Definition at line 1113 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/lds.hpp